Bug 1261699 - Met "ls: cannot access /opt/openshift/plugins: No such file or directory" in jenkins pod logs
Met "ls: cannot access /opt/openshift/plugins: No such file or directory" in ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
DeShuai Ma
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 22:11 EDT by XiuJuan Wang
Modified: 2015-11-23 16:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:15:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2015-09-09 22:11:14 EDT
Description of problem:
Met "ls: cannot access /opt/openshift/plugins: No such file or directory" in jenkins pod logs

https://github.com/openshift/jenkins

/opt/openshift/plugins has been deleted,but there are files still checking this dir.
cat $jenkins/1/contrib/jenkins/run-jenkins
-------------------<skip>---------------------
  if [ "$(ls -A /opt/openshift/plugins)" ]; then
    mkdir -p ${JENKINS_HOME}/plugins
    echo "Copying $(ls /opt/openshift/plugins | wc -l) Jenkins plugins to ${JENKINS_HOME} ..."
    cp -r /opt/openshift/plugins/* ${JENKINS_HOME}/plugins/
    rm -rf /opt/openshift/plugins
  fi

Version-Release number of selected component (if applicable):
jenkins-1-centos7 (0e822fdb76ec)
jenkins-1-rhel7(beb6ba03b094)

How reproducible:
always

Steps to Reproduce:
1.Create a jenkins server
2.Check pod logs
3.

Actual results:
Met "ls: cannot access /opt/openshift/plugins: No such file or directory" in jenkins pod logs

Expected results:
should no this error 

Additional info:
Comment 1 Michal Fojtik 2015-09-10 03:35:03 EDT
Oh I need to redirect that error to /dev/null, PR on the way.
Comment 2 Michal Fojtik 2015-09-10 03:45:44 EDT
https://github.com/openshift/jenkins/pull/31
Comment 3 XiuJuan Wang 2015-09-13 23:03:43 EDT
Verified with devenv-fedora_2334
No error in jenkins log.

$docker logs ca0dc6e8fc3b 
Copying Jenkins configuration to /var/lib/jenkins ...
Creating initial Jenkins 'admin' user
Detected password change, updating Jenkins configuration

Note You need to log in before you can comment on or make changes to this bug.